import type { Issue } from 'fork-ts-checker-webpack-plugin/lib/issue';
import type { Compiler } from 'webpack';
interface Options {
    /** Title prefix shown in the notifications. */
    title?: string;
    /** If set to `true`, warnings will not cause a notification. */
    excludeWarnings?: boolean;
    /** Trigger a notification every time.  Call it "noisy-mode". */
    alwaysNotify?: boolean;
    /** Do not notify on the first build.  This allows you to receive notifications on subsequent incremental builds without being notified on the initial build. */
    skipFirstNotification?: boolean;
    /** Skip notifications for successful builds. */
    skipSuccessful?: boolean;
}
declare class ForkTsCheckerNotifierWebpackPlugin {
    options: Options;
    lastBuildSucceeded: boolean;
    isFirstBuild: boolean;
    titlePrefix: string;
    constructor(options?: Options);
    buildNotification(issues: Issue[]): {
        title: string;
        message: string;
        icon: string;
    } | undefined;
    compilationDone: (issues: Issue[]) => Issue[];
    apply(compiler: Compiler): void;
}
export = ForkTsCheckerNotifierWebpackPlugin;
